# Get Endpoint - GetSharePointChildrenById

Fetches the child items for the given SharePoint element.

# HTTP Request

One of the following requests should be made:

GET /api/syncjobs/sharepoint/subitems

# Query parameters

Name Description
shSiteId optional. Site ID of the sharepoint item of which sub items have to be loaded. If omitted or null all root items will be loaded.
shListId optional. ID of DocumentLibrary of the sharepoint item.
shFolderId optional. ID of then Folder of the sharepoint item.
loadMoreToken optional. Contains information to load more items.
searchWord optional. Contains the text to search for.

# Request headers

Name Description
Authorization required. Bearer {token}. See authorization

# Responses

Code Description Type
200 List of sharepoint items. SharepointItemResponse
400 Request contains invalid data.
401 If access is not allowed with the given credentials/data.
500 Loading sharepoint items failed due to an internal server error.

# Example

# Request

The following is an example of how to call the endpoint:

GET /api/syncjobs/sharepoint/subitems?shSiteId=123456.sharepoint.com,12345678-1234-1234-1234-123456789000,12345678-1234-1234-1234-123456789000

# Response

The following example shows the response:

Information

The response object is truncated for clarity. Default properties will be returned from the call.

{
  "itemList": [
    {
      "name": "List 1",
      "itemType": "List",
      "hasChilds": false,
      "siteId": "123456.sharepoint.com,12345678-1234-1234-1234-123456789000,00000000-1234-1234-1234-123456789000",
      "listId": "b2f13d23-e8fd-4301-8fa6-48d3db14b509"
    },
    {
      "name": "List 2",
      "itemType": "List",
      "hasChilds": true,
      "siteId": "123456.sharepoint.com,12345678-1234-1234-1234-123456789000,00000000-1234-1234-1234-123456789000",
      "listId": "280e9a97-f4d6-487f-bbe5-ae78f4d46803"
    },
    {
      "name": "SubSite 1",
      "itemType": "Site",
      "hasChilds": true,
      "siteId": "123456.sharepoint.com,1a06b175-668a-45ca-8d24-c51c198ce8b9,6bc6c886-c171-4f56-ac70-76818a043409"
    }
  ],
  "loadMoreToken": "dGhpcyBpcyBhbiBleGFtcGxlIHRva2Vu"
}
Last updated: May 15, 2025 at 6:02 PM